Subject: Kwok Hoi Chan/Sieges Steiner, Paris information needed

From: [email-masked] (Graham Mancha)
Date: Sun, 22 Sep 1996 09:54:12 GMT

Does anyone have any information on the designer Kwok Hoi Chan who
designed for Sieges Steiner, Paris?  I'm particularly interested in
finding information/references to a chair design called 'Limande'.
This design has a tubular steel frame and upholstered back & seat
elements. 

  please email me; [email-masked]
[email-masked]